Skip Menu |
 

This queue is for tickets about the Filter-EOF CPAN distribution.

Report information
The Basics
Id: 28029
Status: resolved
Priority: 0/
Queue: Filter-EOF

People
Owner: Nobody in particular
Requestors: DRBEAN [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.03
Fixed in: (no value)



Subject: No Filter::Util::Call version 1.0601 on CPAN
Makefile.PL in 0.03 requires version 1.0601 of Filter::Util::Call 14:requires q{Filter::Util::Call}, '1.0601';}« but latest version on CPAN is 1.06, although in core it is 1.0601. Here, I try to make Filter::EOF. Could not find or check module 'Module::Signature' [THIS MAY BE A PROBLEM!] at /usr/lib/perl5/site_perl/5.8.3/CPANPLUS/Dist.pm line 461 Running [/usr/bin/perl -MCPANPLUS::Internals::Utils::Autoflush Makefile.PL ]... Cannot determine perl version info from lib/Filter/EOF.pm Warning: prerequisite Filter::Util::Call 1.0601 not found. We have 1.06. Writing Makefile for Filter::EOF [ERROR] This distribution depends on Filter::Util::Call, but the latest version of Filter::Util::Call on CPAN (1.06) doesn't satisfy the specific version dependency (1.0601). You may have to resolve this dependency manually. corelist indicates I should have 1.0601, but [root@momotaro Filter-EOF-0.03]# perl -MFilter::Util::Call -e 'print $Filter::Util::Call::VERSION' 1.06 So, I don't know if this is Filter::EOF's bug. But it is preventing me from building Filter::EOF.
Subject: Re: [rt.cpan.org #28029] No Filter::Util::Call version 1.0601 on CPAN
Date: Thu, 2 Aug 2007 16:41:43 +0200 (CEST)
To: Dr Bean via RT <bug-Filter-EOF [...] rt.cpan.org>
From: Robert 'phaylon' Sedlacek on CPAN <phaylon [...] cpan.org>
Download (untitled) / with headers
text/plain 640b
On Sat, 7 Jul 2007, Dr Bean via RT wrote: Show quoted text
> Makefile.PL in 0.03 requires version 1.0601 of Filter::Util::Call > > 14:requires q{Filter::Util::Call}, '1.0601';}« > > but latest version on CPAN is 1.06, although in core it is 1.0601.
Thank you very much for the report, and apologies for me taking so long to answer. Work kept me busy and I forgot to check my private mail regularly. I don't really know if this is a bug in Filter-EOF or somewhere else either. But I also see no reason to not just go back to require 1.06. I just pushed Filter-EOF-0.04 to the CPAN, I hope this will fix the issue. Thanks again, Robert (phaylon)
Pushed 0.04 with 1.06 as prereq to the CPAN.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.